Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

block overkill problem

8 REPLIES 8
SOLVED
Reply
Message 1 of 9
andresep82
2185 Views, 8 Replies

block overkill problem

hello again!!!!!

 

I am working in a new lips....it works correctly but have a problem.I have to press intro always that message box appears.how i can fix it?

 

The lips:

 

(vl-load-com)

(princ "\OVERKILL BLOQUES. Escribe \"OVERKILLBLOQUES\" para empezar..")

(defun c:OVERKILLBLOQUES ( / sele cod )

 (if 

(setq sele (ssget (list  '(0 . "INSERT") )))

(progn
   
   (setq Cod 0 )

   
 ;;;;;;;;;recorrer elementos de la lista;;;;;;;;;;;

 (repeat

	(sslength sele)

 (setq  nombrebloque (vla-get-Effectivename (vlax-ename->vla-object ( ssname sele cod))))

    
(command-s "_bedit"  nombrebloque )


(command-s "_overkill" "_all" "" )


(command-s "_BCLOSE" "")


(setq Cod (1+ Cod))

); end repeat

 
 ;;;;;;;;;recorrer elementos de la lista;;;;;;;;;;;  
   
   (princ)
          
  );c.prg
  
 );c.if
(setvar "cmdecho" 1)

 (prin1)
);c.defun

 thanks!!!!!!

8 REPLIES 8
Message 2 of 9
dicra
in reply to: andresep82

I think that message box is because you are using "command-s", try to use "command" instead.

I'm not sure when we suppose to use command, and when command-s, I think it depends from autocad version.

 

Anyway, you are trying to use overkill command in block editor, and I think, overkill is not allowed in block editor.

Message 3 of 9
andresep82
in reply to: dicra

hummmm.... "-s"  It is not the problem, use de lips and see what happen. i need to know how close message box.

 

On the other hand i use cad2015, Because of it I use -s. and overkill  is allowed.

 

 

Thank you for your comment¡¡¡¡

Message 4 of 9
hmsilva
in reply to: andresep82


@andresep82 wrote:

... i need to know how close message box.

 

On the other hand i use cad2015, Because of it I use -s. and overkill  is allowed.

 


Hi andresep82,

many of us (including medon't have AC2015 in all machines to test the code , would be useful, if you attach a print screen from the message box...

Meanwhile try to call the "_.-overkill" command, and "_.bsave"

 

(command "_.-overkill" "_All" "" "")

(command "_.bsave)

(command "_.bclose)

 

Hoping this helps

Henrique

EESignature

Message 5 of 9
dicra
in reply to: andresep82


@andresep82 wrote:

 

On the other hand i use cad2015, Because of it I use -s. and overkill  is allowed.

 

 


For 2015 it should be ok, but I think for earlier versions overkill is not allowed (2012 for sure).

 

When I tried your routine on 2012 it always crashes...

Message 6 of 9
andresep82
in reply to: dicra

yeeahhhhhhhhh¡¡¡¡¡¡

 

hmsilva  that is the solution:

 

Meanwhile try to call the "_.-overkill" command, and "_.bsave"

 

 

thanks¡¡¡¡¡¡¡¡¡¡¡¡¡
Message 7 of 9
hmsilva
in reply to: andresep82

You're welcome, andresep82
Glad I could help

Henrique

EESignature

Message 8 of 9
Anonymous
in reply to: andresep82

can you share the lisp?
it will realy help me!! can i download it?

Message 9 of 9
andresep82
in reply to: andresep82

Yes,you can use it

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost